# FoundationClasses
TKernel
Resource

# Resource_DataMapOfAsciiStringAsciiString Class Reference

`#include <Resource_DataMapOfAsciiStringAsciiString.hxx>`

Inheritance diagram for Resource_DataMapOfAsciiStringAsciiString:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Resource_DataMapOfAsciiStringAsciiString (const Standard_Integer NbBuckets=1)
Standard_EXPORT Resource_DataMapOfAsciiStringAsciiString & | Assign (const Resource_DataMapOfAsciiStringAsciiString &Other)
Resource_DataMapOfAsciiStringAsciiString & | operator= (const Resource_DataMapOfAsciiStringAsciiString &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Resource_DataMapOfAsciiStringAsciiString ()
Standard_EXPORT Standard_Boolean | Bind (const TCollection_AsciiString &K, const TCollection_AsciiString &I)
Standard_EXPORT Standard_Boolean | IsBound (const TCollection_AsciiString &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TCollection_AsciiString &K)
Standard_EXPORT const TCollection_AsciiString & | Find (const TCollection_AsciiString &K) const
const TCollection_AsciiString & | operator() (const TCollection_AsciiString &K) const
Standard_EXPORT TCollection_AsciiString & | ChangeFind (const TCollection_AsciiString &K)
TCollection_AsciiString & | operator() (const TCollection_AsciiString &K)

## Private Member Functions

Standard_EXPORT | Resource_DataMapOfAsciiStringAsciiString (const Resource_DataMapOfAsciiStringAsciiString &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Resource_DataMapOfAsciiStringAsciiString::Resource_DataMapOfAsciiStringAsciiString | ( | const Standard_Integer | NbBuckets = `1` | ) |

Resource_DataMapOfAsciiStringAsciiString::~Resource_DataMapOfAsciiStringAsciiString | ( |  | ) | `[inline]`

Standard_EXPORT Resource_DataMapOfAsciiStringAsciiString::Resource_DataMapOfAsciiStringAsciiString | ( | const Resource_DataMapOfAsciiStringAsciiString & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Resource_DataMapOfAsciiStringAsciiString& Resource_DataMapOfAsciiStringAsciiString::Assign | ( | const Resource_DataMapOfAsciiStringAsciiString & | Other | ) |

Standard_EXPORT Standard_Boolean Resource_DataMapOfAsciiStringAsciiString::Bind | ( | const TCollection_AsciiString & | K,
|  | const TCollection_AsciiString & | I
| ) |

Standard_EXPORT TCollection_AsciiString& Resource_DataMapOfAsciiStringAsciiString::ChangeFind | ( | const TCollection_AsciiString & | K | ) |

Standard_EXPORT void Resource_DataMapOfAsciiStringAsciiString::Clear | ( |  | ) |

Standard_EXPORT const TCollection_AsciiString& Resource_DataMapOfAsciiStringAsciiString::Find | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT Standard_Boolean Resource_DataMapOfAsciiStringAsciiString::IsBound | ( | const TCollection_AsciiString & | K | ) | const

void Resource_DataMapOfAsciiStringAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* Resource_DataMapOfAsciiStringAsciiString::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* Resource_DataMapOfAsciiStringAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

TCollection_AsciiString& Resource_DataMapOfAsciiStringAsciiString::operator() | ( | const TCollection_AsciiString & | K | ) | `[inline]`

const TCollection_AsciiString& Resource_DataMapOfAsciiStringAsciiString::operator() | ( | const TCollection_AsciiString & | K | ) | const`[inline]`

Resource_DataMapOfAsciiStringAsciiString& Resource_DataMapOfAsciiStringAsciiString::operator= | ( | const Resource_DataMapOfAsciiStringAsciiString & | Other | ) | `[inline]`

Standard_EXPORT void Resource_DataMapOfAsciiStringAsciiString::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean Resource_DataMapOfAsciiStringAsciiString::UnBind | ( | const TCollection_AsciiString & | K | ) |

The documentation for this class was generated from the following file:

- Resource_DataMapOfAsciiStringAsciiString.hxx